# CWAgent Cluster Role and Role Binding
kind: ClusterRole
apiVersion: rbac.authorization.k8s.io/v1
metadata:
    name: cloudwatch-agent-role
rules:
    - apiGroups: [""]
      resources: ["pods", "nodes", "endpoints"]
      verbs: ["list", "watch"]
    - apiGroups: ["apps"]
      resources: ["replicasets"]
      verbs: ["list", "watch"]
    - apiGroups: ["batch"]
      resources: ["jobs"]
      verbs: ["list", "watch"]
    - apiGroups: [""]
      resources: ["nodes/proxy"]
      verbs: ["get"]
    - apiGroups: [""]
      resources: ["nodes/stats", "configmaps", "events"]
      verbs: ["create"]
    - apiGroups: [""]
      resources: ["configmaps"]
      resourceNames: ["cwagent-clusterleader"]
      verbs: ["get","update"]

---

kind: ClusterRoleBinding
apiVersion: rbac.authorization.k8s.io/v1
metadata:
    name: cloudwatch-agent-role-binding
subjects:
    - kind: ServiceAccount
      name: cloudwatch-agent
      namespace: amazon-cloudwatch
roleRef:
    kind: ClusterRole
    name: cloudwatch-agent-role
    apiGroup: rbac.authorization.k8s.io
---

# FluentD Cluster Role and Role Binding
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
    name: fluentd-role
rules:
    - apiGroups: [""]
      resources:
          - namespaces
          - pods
          - pods/logs
      verbs: ["get", "list", "watch"]
---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
    name: fluentd-role-binding
roleRef:
    apiGroup: rbac.authorization.k8s.io
    kind: ClusterRole
    name: fluentd-role
subjects:
    - kind: ServiceAccount
      name: fluentd
      namespace: amazon-cloudwatch
---